# frozen_string_literal: true

require_relative '../spec_helper'

RSpec.describe(ReportsController) do
  describe 'GET /report' do
    before { get '/report' }

    it 'Reports page returns 200.' do
      expect(last_response).to(be_ok)
    end

    it 'Reports page is an HTML response' do
      expect(last_response['Content-Type']).to(include('text/html'))
    end

    it 'Reports page contains "Generate report" on page.' do
      expect(last_response.body).to(include('Generate report'))
    end
  end
end
